package com.keystar.plane.inspection.bo;

import com.keystar.plane.inspection.entity.PhotoResultEntity;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 *  图片信息和识别结果
 **/
@Data
public class PhotoBo {

    /**
     *  图片id
     **/
    private Long id;

    /**
     *  航线id
     **/
    private Integer missionId;

    /**
     *  架次id
     **/
    private Integer recordId;

    /**
     *  可见光图片
     **/
    private String visibleImagePath;

    /**
     *  红外图片
     **/
    private String infraredImagePath;

    /**
     *  方阵名字
     **/
    private String pzName;

    /**
     *  包含的组串
     **/
    private List<String> pvName;

    /**
     *  图片的识别结果
     **/
//    private List<PhotoResultBo> results;
    private List<PhotoResultEntity> results;

    /**
     *  图片包含的组串坐标
     **/
    private List<String> arrayBox;

    /**
     *  拍摄时间
     **/
    private Date time;
}
