package com.keystar.plane.inspection.bo;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 *  发送Mqtt给图像识别
 **/
@NoArgsConstructor
@Data
public class PhotoMqttMessageBo {

    /**
     *  图片id
     **/
    private Long id;

    /**
     *  识别类型
     **/
    private List<String> funcIndex;

    /**
     *  可见光图片地址
     **/
    private String visibleImagePath;

    /**
     *  红外图片地址
     **/
    private String infraredImagePath;
}
