package com.keystar.plane.inspection.bo;

/**
 * @Author Lucien
 * @Date 2023-03-02 08:00:00
 * @Describe 报告结果实体类
 */

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class PlaneInspectionResultBo implements Serializable {

    //巡检点序号
    private String id;

    //巡检点异常结果详情集合
    private List<PlaneInspectionResultDetailBo> details;

    //巡检点异常图片集合
    private List<PlaneInspectionPicBo> pics;

}
