package com.keystar.plane.inspection.constant;

import com.keystar.plane.inspection.bo.Location;
import com.keystar.plane.inspection.utils.FileUtil;
import org.springframework.util.ResourceUtils;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class LocationConstant {

    // 先通过读取json文件获取每个光伏板的位置信息
    public static Map<String, Map<String, List<Location>>> PVLocation = null;
    static {
        PVLocation = FileUtil.readCurrent("pv.json");
    }

    // 每个方阵的位置信息
    public static Map<String, List<Location>> PZLocation = null;
    static {
        PZLocation = FileUtil.readFZLatLng("border.json");
    }

}
