package com.keystar.plane.inspection.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 *  识别结果
 **/
@Data
@TableName("kr_photo_result")
public class PhotoResultEntity {

    private static final long serialVersionUID = 1650634709644831520L;

    /**
     *  id
     **/
    private Long id;

    /**
     *  图片id
     **/
    @TableField(value = "photo_id")
    private Long photoId;
    
    /**
     *  阵列序号
     **/
    @TableField(value = "array_index")
    private String arrayIndex;

    /**
     *  行数
     **/
    @TableField(value = "row_index")
    private String rowIndex;

    /**
     *  列数
     **/
    @TableField(value = "column_index")
    private String columnIndex;

    /**
     *  异常类型
     **/
    private String type;
    
    /**
     *  异常位置
     **/
    private String coordinates;
}
