package com.keystar.plane.inspection.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 *  无人机图片
 **/
@Data
@TableName("kr_plane_photo")
public class PlanePhotoEntity implements Serializable {

    private static final long serialVersionUID = 1650634709644831520L;

    /**
     *  id
     **/
    private Long id;

    /**
     *  航线id
     **/
    @TableField(value = "mission_id")
    private Integer missionId;
    
    /**
     *  架次id
     **/
    @TableField(value = "record_id")
    private Integer recordId; 
    
    /**
     *  可见光图片地址
     **/
    @TableField(value = "visible_image_path")
    private String visibleImagePath;

    /**
     *  红外图片地址
     **/
    @TableField(value = "infrared_image_path")
    private String infraredImagePath;
    
    /**
     *  方阵名字
     **/
    @TableField(value = "pz_name")
    private String pzName;
    
    /**
     *  光伏板名字
     **/
    @TableField(value = "pv_name")
    private String pvName;

    /**
     *  光伏板坐标
     **/
    @TableField(value = "array_box")
    private String arrayBox;

    /**
     *  记录时间
     **/
    private Date time;

    /**
     *  拍摄日期
     **/
    private Integer date;

}
