package com.keystar.plane.inspection.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.keystar.plane.inspection.bo.PhotoBo;
import com.keystar.plane.inspection.bo.PlaneInspectionResultBo;
import com.keystar.plane.inspection.entity.PhotoResultEntity;

import java.util.List;

/**
 *  无人机结果入库
 **/
public interface PhotoResultService extends IService<PhotoResultEntity> {
    
    /**
     *  根据图片id获取识别结果
     **/
    PhotoBo queryResultByPhotoId(PhotoBo photoBo);

    /**
     *  list全部的异常结果信息给巡检报告
     **/
    List<PlaneInspectionResultBo> listInspectionResult();

    String pic2Base64FromMinio(String minioAddr);

    String pic2Base64FromPath(String filePath);

}
