/*
 Navicat Premium Data Transfer

 Source Server         : 10.138.6.221
 Source Server Type    : MySQL
 Source Server Version : 50651
 Source Host           : 10.138.6.221:3306
 Source Schema         : plane_inspection

 Target Server Type    : MySQL
 Target Server Version : 50651
 File Encoding         : 65001

 Date: 28/02/2023 14:07:03
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for kr_photo_result
-- ----------------------------
DROP TABLE IF EXISTS `kr_photo_result`;
CREATE TABLE `kr_photo_result`  (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `photo_id` bigint(20) NULL DEFAULT NULL COMMENT '图片id',
  `path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '图片地址',
  `array_index` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '图片上的光伏板序号',
  `row_index` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '光伏板行数',
  `column_index` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '光伏板列数',
  `type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '异常类型',
  `coordinates` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '异常位置',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Compact;

SET FOREIGN_KEY_CHECKS = 1;
