/*
 Navicat Premium Data Transfer

 Source Server         : 10.138.6.221
 Source Server Type    : MySQL
 Source Server Version : 50651
 Source Host           : 10.138.6.221:3306
 Source Schema         : plane_inspection

 Target Server Type    : MySQL
 Target Server Version : 50651
 File Encoding         : 65001

 Date: 28/02/2023 14:07:13
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for kr_plane_photo
-- ----------------------------
DROP TABLE IF EXISTS `kr_plane_photo`;
CREATE TABLE `kr_plane_photo`  (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `mission_id` int(10) NULL DEFAULT NULL COMMENT '航线id',
  `record_id` int(20) NULL DEFAULT NULL COMMENT '架次id',
  `path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '图片地址',
  `pz_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '方阵名字',
  `pv_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '光伏板名字',
  `time` datetime(0) NULL DEFAULT NULL COMMENT '记录时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Compact;

SET FOREIGN_KEY_CHECKS = 1;
