package com.keystar.plane.inspection.controller;

import com.keystar.plane.inspection.service.LoginService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(value = "/login")
public class LoginController {

    @Autowired
    LoginService loginService;

    @GetMapping("/getToken")
    public String getToken() throws Exception {
        return loginService.getToken();
    }

}
