package com.keystar.plane.inspection.service;

import com.drew.imaging.jpeg.JpegProcessingException;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.keystar.plane.inspection.bo.PhotoBo;
import com.keystar.plane.inspection.bo.PvNameBo;
import com.keystar.plane.inspection.dao.PhotoResultVo;
import com.keystar.plane.inspection.dao.PlanePhotoVo;

import java.io.IOException;
import java.util.List;

public interface PhotoService {

    /**
     *  通过图片判断是哪个光伏区的光伏板
     **/
    PlanePhotoVo queryPhoto(String filePath) throws IOException, JpegProcessingException;

    /**
     *  通过组串名字获取对应的图片和识别结果
     **/
    PhotoResultVo getPhotoMsg(PvNameBo pvNameBo);



}
